Show / Hide Table of Contents

# Struct AtkTextNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkTextNode

### Fields

| Improve this Doc View Source

#### AlignmentFontType

##### Declaration

    public byte AlignmentFontType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AtkResNode

##### Declaration

    public AtkResNode AtkResNode

##### Field Value

Type | Description
--- | ---
AtkResNode |

| Improve this Doc View Source

#### BackgroundColor

##### Declaration

    public ByteColor BackgroundColor

##### Field Value

Type | Description
--- | ---
ByteColor |

| Improve this Doc View Source

#### CharSpacing

##### Declaration

    public byte CharSpacing

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EdgeColor

##### Declaration

    public ByteColor EdgeColor

##### Field Value

Type | Description
--- | ---
ByteColor |

| Improve this Doc View Source

#### FontCacheHandle

##### Declaration

    public ushort FontCacheHandle

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FontSize

##### Declaration

    public byte FontSize

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LineSpacing

##### Declaration

    public byte LineSpacing

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NodeText

##### Declaration

    public Utf8String NodeText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### SelectEnd

##### Declaration

    public uint SelectEnd

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectStart

##### Declaration

    public uint SelectStart

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SheetType

##### Declaration

    public byte SheetType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TextColor

##### Declaration

    public ByteColor TextColor

##### Field Value

Type | Description
--- | ---
ByteColor |

| Improve this Doc View Source

#### TextFlags

##### Declaration

    public byte TextFlags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TextFlags2

##### Declaration

    public byte TextFlags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TextId

##### Declaration

    public uint TextId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UnkPtr_1

##### Declaration

    public void *UnkPtr_1

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### Ctor()

##### Declaration

    [MemberFunction("E9 ? ? ? ? 45 33 C9 4C 8B C0 33 D2 B9 ? ? ? ? E8 ? ? ? ? 48 85 C0 0F 84 ? ? ? ? 48 8B C8 48 83 C4 20 5B E9 ? ? ? ? 45 33 C9 4C 8B C0 33 D2 B9 ? ? ? ? E8 ? ? ? ? 48 85 C0 0F 84 ? ? ? ? 48 8B C8 48 83 C4 20 5B E9 ? ? ? ? 45 33 C9 4C 8B C0 33 D2 B9 ? ? ? ? E8 ? ? ? ? 48 85 C0 74 5D")]
    public void Ctor()

| Improve this Doc View Source

#### GetTextDrawSize(UInt16*, UInt16*, Byte*, Int32, Int32, Boolean)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 0F B7 6D 08")]
    public void GetTextDrawSize(ushort *outWidth, ushort *outHeight, byte *text = default(byte *), int start = 0, int end = -1, bool considerScale = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16* | outWidth |
System.UInt16* | outHeight |
System.Byte* | text |
System.Int32 | start |
System.Int32 | end |
System.Boolean | considerScale |

| Improve this Doc View Source

#### ResizeNodeForCurrentText()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 48 83 C4 28 5F 5D")]
    public void ResizeNodeForCurrentText()

| Improve this Doc View Source

#### SetNumber(Int32, Boolean, Boolean, Byte, Boolean)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8D 4E 5A")]
    public void SetNumber(int num, bool showCommaDelimiters = false, bool showPlusSign = false, byte digits = 0, bool addZeroPadding = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | num |
System.Boolean | showCommaDelimiters |
System.Boolean | showPlusSign |
System.Byte | digits |
System.Boolean | addZeroPadding |

| Improve this Doc View Source

#### SetText(Byte*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8D 4E 32")]
    public void SetText(byte *str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str |

| Improve this Doc View Source

#### SetText(Byte[])

##### Declaration

    public void SetText(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

| Improve this Doc View Source

#### SetText(String)

##### Declaration

    public void SetText(string str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str |